Class DelegatingJsonEndpoint<Req,Res,Err>
java.lang.Object
co.elastic.clients.transport.endpoints.DelegatingJsonEndpoint<Req,Res,Err>
- All Implemented Interfaces:
Endpoint<Req,,Res, Err> JsonEndpoint<Req,Res, Err>
- Direct Known Subclasses:
EndpointWithResponseMapperAttr
public class DelegatingJsonEndpoint<Req,Res,Err>
extends Object
implements JsonEndpoint<Req,Res,Err>
-
Field Summary
Fields -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionGet the body for a request.errorDeserializer(int statusCode) The entity parser for the error response body.Get the HTTP headers for a request.id()The endpoint's identifier.booleanisError(int statusCode) Is this status code to be considered as an error?Get the endpoint's HTTP method for a request.pathParameters(Req request) Get the path parameters for a request.queryParameters(Req request) Get the query parameters for a request.requestUrl(Req request) Get the URL path for a request.The entity parser for the response body.
-
Field Details
-
endpoint
-
-
Constructor Details
-
DelegatingJsonEndpoint
-
-
Method Details
-
id
Description copied from interface:EndpointThe endpoint's identifier. -
method
Description copied from interface:EndpointGet the endpoint's HTTP method for a request. -
requestUrl
Description copied from interface:EndpointGet the URL path for a request.- Specified by:
requestUrlin interfaceEndpoint<Req,Res, Err>
-
pathParameters
Description copied from interface:EndpointGet the path parameters for a request.- Specified by:
pathParametersin interfaceEndpoint<Req,Res, Err>
-
queryParameters
Description copied from interface:EndpointGet the query parameters for a request.- Specified by:
queryParametersin interfaceEndpoint<Req,Res, Err>
-
headers
Description copied from interface:EndpointGet the HTTP headers for a request. -
body
Description copied from interface:EndpointGet the body for a request. The caller must handle several cases depending on the interface implemented by the result:nullmeans the request has no body.NdJsonpSerializablemust be serialized as nd-json.BinaryDatamust be serialized as is.- All other objects must be serialized as JSON using a
JsonpMapper -
responseDeserializer
Description copied from interface:JsonEndpointThe entity parser for the response body.- Specified by:
responseDeserializerin interfaceJsonEndpoint<Req,Res, Err>
-
isError
public boolean isError(int statusCode) Description copied from interface:EndpointIs this status code to be considered as an error? -
errorDeserializer
Description copied from interface:EndpointThe entity parser for the error response body. Can benullto indicate that there's no error body.- Specified by:
errorDeserializerin interfaceEndpoint<Req,Res, Err>
-